package com.ruoyi.project.common.service;

import com.ruoyi.common.importExcel.excel.helper.BasicTableInfoHelper;
import com.ruoyi.common.importExcel.excel.tempInfo.AccountInfoHelper;
import com.ruoyi.common.importExcel.utils.ExcelUtils.*;

import javax.validation.constraints.NotEmpty;
import java.util.List;

/**
 * @author lidl
 */
public interface ICommonService {

    /**
     * 区域，代理商表采番
     */
    public Long getCommonID(String type);


    UploadResult<AccountInfoHelper> checkTransportBillInfo(BasicTableInfoHelper tableInfo, List<AccountInfoHelper> customerInfoHelpers);



    List<String> testSave(BasicTableInfoHelper basicTableInfoHelper, @NotEmpty List<AccountInfoHelper> dataList);

    void test();

}
